function loadXML() {
    if (window.XMLHttpRequest) {
        xmlhttp = new XMLHttpRequest();
    }
    else {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.open("GET", "books.xml", false);
    xmlhttp.send();
    xmlDoc = xmlhttp.responseXML;
    country = xmlDoc.getElementsByTagName("country");
}

function loadCountries() {
    str = "";
    for (i = 0; i < country.length; i++) {
        str += "<option>";
        str += country[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
        str += "</option>";
    }
    document.getElementById("zemlja").innerHTML = str;
}


function loadAuthors() {   
    br = 0;
    var niz = new Array();
    for (i = 0; i < country.length; i++) {
        autori = country[i].getElementsByTagName("author");
        for (j = 0; j < autori.length; j++) {
            aut = autori[j].childNodes[0].nodeValue;
            ind = 1;
            for (k = 0; k < br; k++) {
                if (niz[k] === aut) {
                    ind = 0;
                    break;
                }
            }
            if (ind === 1)
                niz[br++] = aut;
        }
    }
    str = "";
    for (i = 0; i < br; i++) {
        str += "<option>";
        str += niz[i];
        str += "</option>";
    }
    document.getElementById("autor").innerHTML = str;
}

function showBooks() {
    e = document.getElementById("zemlja");
    zem = e.options[e.selectedIndex].text;
    s = document.getElementById("autor");
    autor = s.options[s.selectedIndex].text;
    for (i = 0; i < country.length; i++) {
        naziv = country[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
        if (zem === naziv) {
            indeks = i;
        }
    }
    
    knjige = country[indeks].getElementsByTagName("book");
    str = "";
    str += "<p>" + zem + "</p>";
    str += "<table>";
    jed = 0;
    desc = "";
    str += "<tr><th>Naslov</th><th>Publish year</th></tr>";
    for (j = 0; j < knjige.length; j++) {
        autorIme = knjige[j].getElementsByTagName("author")[0].childNodes[0].nodeValue;
        if (autor === autorIme) {
            naslov = knjige[j].getElementsByTagName("title")[0].childNodes[0].nodeValue;
            publishYear = knjige[j].getElementsByTagName("publish_year")[0].childNodes[0].nodeValue;
            if (jed < 1) {
                description = knjige[j].getElementsByTagName("description")[0].childNodes[0].nodeValue;
                desc += "<span>" + description + "</span>";
            }
            jed++;
            str += "<tr><td onclick='displayDescription(" + j +")' class='naslovi'>" + naslov + "</td><td class='godina'>" + publishYear + "</td></tr>";
        }
    }
    str += "</table>";
    document.getElementById("tabela").innerHTML = str;
    document.getElementById("opis").innerHTML = desc;
}

function displayDescription(i) {
    description = knjige[i].getElementsByTagName("description")[0].childNodes[0].nodeValue;
    str + "";
    str = "<span>" + description + "</span>";
    document.getElementById("opis").innerHTML = str;
}

function filtBooks() {
    val = document.getElementById("naslovinput").value;
    e = document.getElementById("zemlja");
    zem = e.options[e.selectedIndex].text;
    s = document.getElementById("autor");
    autor = s.options[s.selectedIndex].text;
    regE = new RegExp(val);
    str = "";
    tabela = document.getElementById("tabela");
    naslovi = document.getElementsByClassName("naslovi");
    godina = document.getElementsByClassName("godina");
    str = "";
    str += "<p>" + zem + "</p>";
    str += "<table>";
    str += "<tr><th>Naslov</th><th>Publish year</th></tr>";
    //alert(naziv);
    nazk = country[indeks].getElementsByTagName("name")[0].childNodes[0].nodeValue;
    //alert(nazk);
    //alert(naslovi.length);
    for (i = 0; i < knjige.length; i++) {
        //alert(i);
        //nas = naslovi[i].innerHTML;
        //god = godina[i].innerHTML;
       
        autorIme = knjige[i].getElementsByTagName("author")[0].childNodes[0].nodeValue;
        naslov = knjige[i].getElementsByTagName("title")[0].childNodes[0].nodeValue;
        publishYear = knjige[i].getElementsByTagName("publish_year")[0].childNodes[0].nodeValue;
        //alert(naslov + " i " + publishYear);
        //alert(naslov);
        if (regE.test(naslov) && autor === autorIme) {
            
            str += "<tr><td onclick='displayDescription(" + i +")' class='naslovi'>" + naslov + "</td><td class='godina'>" + publishYear + "</td></tr>";
        }
        
    }
    str += "</table>";
    document.getElementById("tabela").innerHTML = str;
}